package org.apache.bcel.classfile;

import java.io.DataInputStream;
import java.io.IOException;

public class LocalVariableTypeTable extends AbstractLocalVariableTable {

    public LocalVariableTypeTable(int name_index, int length, DataInputStream file, ConstantPool constant_pool) throws IOException {
        super(name_index, length, file, constant_pool);
    }
    
    /**
     * Called by objects that are traversing the nodes of the tree implicitely
     * defined by the contents of a Java class. I.e., the hierarchy of methods,
     * fields, attributes, etc. spawns a tree of objects.
     *
     * @param v Visitor object
     */
    public void accept( Visitor v ) {
        v.visitLocalVariableTypeTable(this);
    }
}
